<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.AP.autosell</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Automaticaly sell wares in cargobay</description>
<arguments>
<argument index="1" name="max.jumps" type="Var/Number" desc="Max Jumps" />
<argument index="2" name="home.sector" type="Var/Sector" desc="Home Sector" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;the&#160;Artificial&#160;Pilot&#160;program</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;third&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var>additional&#160;AP&#160;routines&#160;to&#160;sell&#160;all&#160;cargo</var></comment></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="011" indent=""><var>$AP.Jumps&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.jumps'</var></line>
<line linenr="012" indent=""><var>$jumps&#160;=&#160;</var><var>$AP.Jumps</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="013" indent=""><var>skip&#160;if&#160;</var><var>$max.jumps</var></line>
<line linenr="014" indent="&#160;"><var>$max.jumps&#160;=&#160;</var><var>0</var></line>
<line linenr="015" indent=""><var>skip&#160;if&#160;</var><var>$jumps</var></line>
<line linenr="016" indent="&#160;"><var>$jumps&#160;=&#160;</var><var>0</var></line>
<line linenr="017" indent=""><var>skip&#160;if&#160;</var><var>$max.jumps</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$jumps</var></line>
<line linenr="018" indent="&#160;"><var>$max.jumps&#160;=&#160;</var><var>$jumps</var></line>
<line linenr="019" indent=""></line>
<line linenr="020" indent=""><comment><text>*&#160;</text><var>adjust&#160;jump&#160;range&#160;for&#160;distance&#160;from&#160;home&#160;sector</var></comment></line>
<line linenr="021" indent=""><var>if&#160;</var><var>$home.sector</var></line>
<line linenr="022" indent="&#160;"><var>$cur.jumps&#160;=&#160;</var><text>get&#160;jumps&#160;from&#160;sector&#160;</text><var>$home.sector</var><text>&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="023" indent="&#160;"><var>$max.jumps&#160;=&#160;</var><var>$max.jumps</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$cur.jumps</var></line>
<line linenr="024" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$max.jumps</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>0</var></line>
<line linenr="025" indent="&#160;&#160;"><var>$max.jumps&#160;=&#160;</var><var>0</var></line>
<line linenr="026" indent=""><text>end</text></line>
<line linenr="027" indent=""></line>
<line linenr="028" indent=""><comment><text>*&#160;</text><var>---&#160;Selling.-------------</var></comment></line>
<line linenr="029" indent=""><comment><text>*&#160;</text><var>find&#160;wares&#160;in&#160;cargobay</var></comment></line>
<line linenr="030" interruptable="@" indent=""><var>$Wares&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.WaresOnboard</call><text>&#160;:&#160;</text><text>&#160;Target&#160;Ship=</text><var>[THIS]</var></line>
<line linenr="031" indent=""></line>
<line linenr="032" indent=""><comment><text>*&#160;</text><var>sell&#160;wares&#160;in&#160;cargobay</var></comment></line>
<line linenr="033" indent=""><var>$Wares.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Wares</var></line>
<line linenr="034" indent=""><var>while&#160;</var><var>$Wares.num</var></line>
<line linenr="035" indent="&#160;"><text>dec&#160;</text><var>$Wares.num&#160;=&#160;</var></line>
<line linenr="036" indent="&#160;"><var>$ware&#160;=&#160;</var><var>$Wares</var><text>[</text><var>$Wares.num</var><text>]</text></line>
<line linenr="037" indent="&#160;"></line>
<line linenr="038" indent=""><comment><text>*&#160;</text><var>Set&#160;command&#160;name</var></comment></line>
<line linenr="039" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_SELL_WARE_BEST</var><text>&#160;&#160;target=</text><var>$ware</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="040" indent="&#160;"><text>set&#160;script&#160;command:&#160;</text><var>COMMAND_XAI_MISC_BEST_SELL</var></line>
<line linenr="041" indent="&#160;"></line>
<line linenr="042" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.bestsell</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>$ware</var><text>&#160;</text><text>&#160;Max&#160;Jumps=</text><var>$max.jumps</var><text>&#160;</text><text>&#160;Min.&#160;Price=</text><var>null</var></line>
<line linenr="043" indent=""><text>end</text></line>
<line linenr="044" indent=""></line>
<line linenr="045" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.AP.autosell" /><sval type="int" val="25" /><sval type="string" val="Automaticaly sell wares in cargobay" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="max.jumps" /><sval type="string" val="home.sector" /><sval type="string" val="AP.Jumps" /><sval type="string" val="jumps" /><sval type="string" val="cur.jumps" /><sval type="string" val="Wares" /><sval type="string" val="Wares.num" /><sval type="string" val="ware" /></sval><sval type="array" size="24"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.jumps" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536869625" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536869113" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536868601" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609149" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="711" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609144" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.WaresOnboard" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606839" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="29" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="431" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.bestsell" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Jumps" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Home Sector" /></sval></sval><sval type="array" size="22"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of the Artificial Pilot program" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in third party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="additional AP routines to sell all cargo" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="adjust jump range for distance from home sector" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="14" /><sval type="int" val="1" /><sval type="string" val="--- Selling.-------------" /></sval><sval type="array" size="3"><sval type="int" val="14" /><sval type="int" val="1" /><sval type="string" val="find wares in cargobay" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="15" /><sval type="int" val="1" /><sval type="string" val="sell wares in cargobay" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="19" /><sval type="int" val="1" /><sval type="string" val="Set command name" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
